Page MenuHomePhabricator

Dialogs: Search and Replace : Suggesting to add "Match Word" option
Closed, ResolvedPublic

Description

Author: wikibugs

Description:
If the users have the Match Word that will increase the usability.

How? if a user wanted to replace the word 'the' user can select match case and provide the replace word and click on replace all. If the text contain words like "together" the part in the word get replace.

If the user have the match word, these types of problems can be minimized.


Version: unspecified
Severity: enhancement

Details

Reference
bz22478

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:57 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz22478.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 11 2010, 9:16 AM

This option should be rather easy to implement: prepend and append \w to the generated regex.

Change 476031 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/WikiEditor@master] Search: Add option to search whole words

https://gerrit.wikimedia.org/r/476031

TheDJ claimed this task.Nov 27 2018, 2:59 PM
TheDJ moved this task from Backlog to Doing on the WikiEditor board.

Change 476031 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/WikiEditor@master] Search: Add option to search whole words

https://gerrit.wikimedia.org/r/476031

Change 476031 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Search: Add option to search whole words

https://gerrit.wikimedia.org/r/476031

matmarex closed this task as Resolved.May 19 2019, 6:23 PM
happy5214 moved this task from Doing to Closed on the WikiEditor board.Aug 4 2019, 11:27 AM